Package org.apache.sysds.resource.cost

# Class CostEstimationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sysds.resource.cost.CostEstimationException

All Implemented Interfaces:
  `Serializable`

public class CostEstimationException extends Exception
Exception thrown when the cost estimation gets in a state that should not raise runtime a exception. Such exception is to be raised only in the following case: Local memory is not sufficient for the estimated caching

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CostEstimationException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CostEstimationException

public CostEstimationException(String message)